body {
    margin: 0px;
}

/*Page header*/

.navbar {
    display: flex;
    padding: 10px 10px 10px 10px;
}

.home-button {
    flex: 30;
    text-align: center;
    font-family: 'Roboto Condensed', sans-serif;
    font-size: 1.5rem;
    cursor: pointer;
}

.cart-button {
    flex: 1;
}

.menu {
    display: none;
}

@media(min-width: 768px) {
    .menu {
        display: flex;
        padding: 20px 0px 30px 0px;
    }
    .menu-button {
        display: none;
    }
}

.menu div {
    font-size: 0.85rem;
    font-family: 'Roboto Condensed', sans-serif;
}

.menu-item {
    flex: 1;
    cursor: pointer;
}

.menu-space {
    flex: 2;
}

/*home page categories section*/

@media(min-width: 1300px) {
    .main-container {
        padding: 10px 40px 0px 40px;
    }
}

.categories-item {
    display: flex;
    flex-direction: column;
    cursor: pointer;
    margin-bottom: 20px;
}

.category-image {
    height: 20rem;
    background-position: center;
    background-repeat: no-repeat;
}

#men-outer-img {
    background-image: url("../images/mens_outerwear.jpg");
}

#ladies-outer-img {
    background-image: url("../images/ladies_outerwear.jpg");
}

#men-tshirt-img {
    background-image: url("../images/mens_tshirts.jpg");
}

#ladies-tshirt-img {
    background-image: url("../images/ladies_tshirts.jpg");
}

.categories-item div {
    text-align: center;
    padding: 10px 10px 10px 10px;
    font-family: 'Montserrat', sans-serif;
}

.tshirts {
    display: flex;
}

.tshirt-item .category-image {
    height: 20rem;
    background-position: center;
    background-repeat: no-repeat;
}

.tshirt-item div {
    text-align: center;
    padding: 10px 10px 10px 10px;
}

.tshirt-item {
    flex: 1;
}

/* footer section */

.footer {
    margin-top: 1rem;
    text-align: center;
    font-size: 0.8rem;
}

.footer div {
    font-size: 1rem;
    text-align: center;
    padding: 20px 0px 10px 0px;
}

/*custom buttons*/

.button {
    border: 2px solid #000;
    cursor: pointer;
    display: inline-block;
    max-width: 12rem;
}

.button:active {
    color: #fff;
    background-color: #000;
}

.button-footer {
    color: #fff;
    background-color: #000;
    width: 12rem;
    display: inline-block;
}

/*product list section*/

.product-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 1em;
}

@media(max-width: 768px) {
    .product-list {
        grid-template-columns: repeat(2, 1fr);
    }
}

.product-list-section {
    text-align: center;
}

.product-item-img {
    padding: 3rem 0rem 3rem 0rem;
}

.product-item-img img {
    max-width: 100%;
    cursor: pointer;
}

.category-title {
    font-size: 1rem;
    font-family: 'Montserrat', sans-serif;
}

.category-stock {
    font-size: 0.9rem;
    color: #555;
    padding: 10px 0px 10px 0px;
}

}

.product-item-name {
    font-size: 1rem;
    font-family: 'Roboto Condensed', sans-serif;
    padding-bottom: 1rem;
}

.product-item-price {
    font-size: 0.9rem;
    color: #555;
}

/*product details section*/

.product-list-section {
    display: none;
}

.product-details-section {
    display: none;
    /* display: flex;  */
    margin-top: 4rem;
    padding: 0px 30px 0px 30px;
}

@media(max-width: 768px) {
    .product-details-section {
        flex-direction: column;
    }
}

.product-image {
    flex: 1;
}

.product-image img {
    max-width: 100%;
    max-height: 500px;
}

.product-details {
    flex: 1;
    display: flex;
    flex-direction: column;
    font-family: 'Montserrat', sans-serif;
}

@media(min-width: 768px) {
    .product-details {
        padding: 0px 100px 0px 100px;
    }
}

.product-name {
    flex: 1;
    font-size: 1.5rem;
}

.product-price {
    flex: 1;
    color: #555
}

.product-sku {
    flex: 1;
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
}

.product-sku label {
    color: #555;
    font-size: 0.9rem;
    display: inline-block;
}

.product-sku select {
    background-color: transparent;
    border: 0px;
    width: 60%;
    padding: 10px 0px 10px 10px;
}

#quantity {
    margin-left: 1rem;
}

#size {
    margin-left: 3rem;
}

.product-description {
    flex: 5;
    color: #555;
    font-size: 0.9rem;
}

.add-button {
    flex: 1;
}

.add-button div {
    padding: 10px 20px 10px 20px;
}